// import { Component } from '@angular/core';

// @Component({
//   selector: 'app-modal-content',
//   templateUrl: './modal-content.component.html',
//   styleUrl: './modal-content.component.css'
// })
// export class ModalContentComponent {

// }

import { Component, Input } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';

@Component({
  selector: 'app-modal-content',
  templateUrl: './modal-content.component.html',
  styleUrl: './modal-content.component.css',
})
export class ModalContentComponent {
  @Input() list: any[] = [];

  // Use the definite assignment assertion operator `!` to tell TypeScript
  // that `modalRef` will be initialized by Angular's dependency injection.
  constructor(public modalRef: BsModalRef | null = null) {}

  closeModal(): void {
    // this.modalRef.hide(); // Direct usage
  }
}
